<?php 

$url = $_GET['url'];

$rand = md5(rand(10000000000000,99999999999999999)."-".rand(10000000000000,99999999999999999)).".jpg";


$img = 'upimg/'.$rand;
 
file_put_contents($img, file_get_contents($url));


$cikti = "https://hupto.cntapi.com/assets/upimg/".$rand;


echo "<center><img style='max-width: 50%' src='".$cikti."'><br /><br /><br /><br /><br />";


echo "<a target='_blank' href='".$cikti."'>".$cikti."</a></center>";